## org.eclipse.m2m.atl.engine.vm.nativelib
Class SOTSExpression2

    java.lang.Object
      org.eclipse.m2m.atl.engine.vm.nativelib.SOTSExpression2

    public class SOTSExpression2

extends java.lang.Object

Simple query language evaluator. This is used in the present version of the compiler. Recognized grammar: `exp ::= (simpleExp '+' exp) | simpleExp | INT | STRING | ('(' exp ')') simpleExp ::= '$' varName:IDENT ('.' propName:IDENT ('(' ')')? ('[' ("ISA" '(' mname:IDENT '!' mename:IDENT ')') | (propName:IDENT '=' value:exp) | (index:exp) ']')*)* (',' default:exp)?; IDENT ::= [A-Za-z_][A-Za-z0-9_]*; VALUE ::= STRING | INT; STRING ::= '[^']'; INT ::= [0-9]+; SKIP ::= ' ' | '\t' | '\n' | '\r';`

Constructor Summary
`SOTSExpression2(java.lang.String exp)`

Method Summary
`ASMOclAny` `exec(StackFrame frame, ASMTuple args)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOTSExpression2

    public SOTSExpression2(java.lang.String exp)

Method Detail

### exec

    public ASMOclAny exec(StackFrame frame,
                          ASMTuple args)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

Copyright 2007 IBM Corporation and others. All Rights Reserved.